import request from '@/utils/request';

// 查询字典数据列表
// export function listData(query: any) {
// 	return request({
// 		url: '/api/system/dict/data/list',
// 		method: 'get',
// 		params: query,
// 	});
// }

export function listData(query: any) {
	return request({
		url: '/api/dict/data/type',
		method: 'get',
		params: query,
	});
}

// 查询字典数据详细
// export function getData(dictCode: string) {
// 	return request({
// 		url: '/api/system/dict/data/' + dictCode,
// 		method: 'get',
// 	});
// }

// 根据字典类型查询字典数据信息
// export function getDicts(dictType: string) {
// 	return request({
// 		url: '/api/system/dict/data/type?dictType=' + dictType,
// 		method: 'get',
// 	});
// }

export function getDicts(dictType: string) {
	return request({
		url: '/api/dict/data/type?dictType=' + dictType,
		method: 'get',
		headers: {
			'Cache-Control': 'skip-cache',
		},
	});
}

// 新增字典数据
// export function addData(data: any) {
// 	return request({
// 		url: '/api/system/dict/data',
// 		method: 'post',
// 		data: data,
// 	});
// }

export function addData(data: any) {
	return request({
		url: '/api/dict/data/add',
		method: 'post',
		data: data,
	});
}

// 修改字典数据
// export function updateData(data: any) {
// 	return request({
// 		url: '/api/system/dict/data',
// 		method: 'put',
// 		data: data,
// 	});
// }

export function updateData(filter: any, data: any) {
	return request({
		url: `/api/dict/data/update/${filter}`,
		method: 'put',
		data: data,
	});
}

// 删除字典数据
// export function delData(dictCode: number) {
// 	return request({
// 		url: '/api/system/dict/data/' + dictCode,
// 		method: 'delete',
// 	});
// }

export function delData(dictCode: number) {
	return request({
		url: '/api/dict/data/del/' + dictCode,
		method: 'delete',
	});
}

// 导出字典数据
// export function exportData(query: any) {
// 	return request({
// 		url: '/api/system/dict/data/export',
// 		method: 'get',
// 		params: query,
// 	});
// }
